Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: Updated PHP to 7.4 - critical error  (Read 626 times)

Offline kavlito

  • Newbie
  • *
  • Posts: 21
  • Karma: +4/-0
    • View Profile
Updated PHP to 7.4 - critical error
« on: May 11, 2020, 12:05:42 PM »
Hi,

I updated my PHP version to 7.4 and received the attached critical error and no longer have access to my site. What should I do?

Thank you.

Offline kavlito

  • Newbie
  • *
  • Posts: 21
  • Karma: +4/-0
    • View Profile
Re: Updated PHP to 7.4 - critical error
« Reply #1 on: May 11, 2020, 03:33:29 PM »
Resolved by my web host:

I found that your application was not loading because it was trying to use a functionality of a module not loaded by default in the PHP 7.4 stack:

[11-May-2020 10:59:03 America/Chicago] PHP Fatal error: Uncaught Error: Call to undefined function mb_internal_encoding() in /public_html/core/init.php:21

I loaded the module but the application still rendered the same error page but it no longer produced any error logs.

I changed the PHP version to PHP 7.3 and the website started loading. It seems there is a part of your application incompatible with PHP 7.4. It is probably an extension, plugin, or a custom theme you might be using.

At this point I don't recommend changing the PHP version to 7.4, you should keep it at 7.3.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4945
  • Karma: +256/-2
    • View Profile
Re: Updated PHP to 7.4 - critical error
« Reply #2 on: May 12, 2020, 01:26:38 AM »
Thank you, kavlito for the information provided.
php 7.4 support added in upcoming new version 1.2.16

 

Powered by SMFPacks Social Login Mod